Loading...
Searching...
No Matches
Opm::KeywordSize Class Reference

## Public Member Functions

| KeywordSize (const std::string &in_keyword, const std::string &in_item, int in_shift)
| KeywordSize (const std::string &in_keyword, const std::string &in_item)
| KeywordSize (const std::string &in_keyword, const std::string &in_item, bool table_collection, int in_shift)
| KeywordSize (std::size_t min_size, const std::string &in_keyword, const std::string &in_item, bool table_collection, int in_shift)
| KeywordSize (ParserKeywordSizeEnum size_type)
| KeywordSize (std::size_t fixed_size)
| KeywordSize (std::size_t fixed_size, bool code)
| KeywordSize (std::size_t min_size, std::size_t fixed_size, bool code)
bool | table_collection () const
ParserKeywordSizeEnum | size_type () const
bool | code () const
int | size_shift () const
const std::string & | keyword () const
const std::string & | item () const
std::optional< std::size_t > | min_size () const
void | min_size (int s)
const std::optional< std::variant< std::size_t, std::pair< std::string, std::string > > > & | max_size () const
std::string | construct () const
bool | operator== (const KeywordSize &) const
bool | operator!= (const KeywordSize &other) const

The documentation for this class was generated from the following files:

- opm/input/eclipse/Parser/ParserKeyword.hpp
- opm/input/eclipse/Parser/ParserKeyword.cpp